cascading.tuple

## Class TupleEntryIterableChainIterator

- java.lang.Object
- - cascading.tuple.TupleEntryIterator
  - - cascading.tuple.TupleEntryIterableChainIterator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<TupleEntry>

      public class TupleEntryIterableChainIterator
      extends TupleEntryIterator

  TupleEntryChainIterator chains the given Iterators into a single Iterator.

  As one iterator is completed, it will be closed and a new one will start.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleEntryIterableChainIterator(Fields fields)`
    `TupleEntryIterableChainIterator(Fields fields, java.lang.Iterable<java.util.Iterator<Tuple>> iterable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Method close closes all underlying resources.
    `protected void` | `closeCurrent()`
    `boolean` | `hasNext()` Method hasNext returns true if there is a next TupleEntry
    `TupleEntry` | `next()` Method next returns the next TupleEntry.
    `void` | `remove()` Method remove removes the current TupleEntry from the underlying collection.
    `void` | `reset(java.lang.Iterable<java.util.Iterator<Tuple>> iterable)`

    - ### Methods inherited from class cascading.tuple.TupleEntryIterator

      `getFields, getTupleEntry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleEntryIterableChainIterator

          public TupleEntryIterableChainIterator(Fields fields)

    - #### TupleEntryIterableChainIterator

          public TupleEntryIterableChainIterator(Fields fields,
                                         java.lang.Iterable<java.util.Iterator<Tuple>> iterable)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Method hasNext returns true if there is a next TupleEntry
      Returns:
        boolean

    - #### reset

          public void reset(java.lang.Iterable<java.util.Iterator<Tuple>> iterable)

    - #### next

          public TupleEntry next()

      Method next returns the next TupleEntry.
      Returns:
        TupleEntry

    - #### remove

          public void remove()

      Method remove removes the current TupleEntry from the underlying collection.

    - #### close

          public void close()

      Method close closes all underlying resources.

    - #### closeCurrent

          protected void closeCurrent()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.